org.eclipse.emf.cdo.server.db.mapping

## Interface IClassMappingDeltaSupport

-     public interface IClassMappingDeltaSupport

  Interface which complements `IClassMapping` with methods to facilitate revision delta support.
  Since:
    2.0
  Author:
    Eike Stepper, Stefan Winkler
  See Also:
    `IMappingStrategy.hasDeltaSupport()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeRevisionDelta(IDBStoreAccessor accessor, InternalCDORevisionDelta delta, long created, OMMonitor monitor)` Write a revision delta.

- - ### Method Detail

    - #### writeRevisionDelta

          void writeRevisionDelta(IDBStoreAccessor accessor,
                                  InternalCDORevisionDelta delta,
                                  long created,
                                  OMMonitor monitor)

      Write a revision delta.
      Parameters:
        `accessor` - the accessor to use.
        `delta` - the delta to write.
        `created` - the creation timestamp of the new version
        `monitor` - the monitor to report progress.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html